DB_ENV->get_thread_count()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_thread_count()

    #include <db.h>

    int
    DB_ENV->get_thread_count(DB_ENV *dbenv, u_int32_t *countp);

The `DB_ENV->get_thread_count()` method returns the thread count as set by the DB_ENV->set_thread_count() method.

The `DB_ENV->get_thread_count()` method may be called at any time during the life of the application.

The `DB_ENV->get_thread_count()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### countp

The `DB_ENV->get_thread_count()` method returns the thread count in countp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods, DB_ENV->set_thread_count()

Prev | Up | Next
DB_ENV->get_shm_key() | Home | DB_ENV->get_timeout()